partial.r {psych} | R Documentation

## Find the partial correlations for a set (x) of variables with set (y) removed.

### Description

A straightforward application of matrix algebra to remove the effect of the variables in the y set from the x set. Input may be either a data matrix or a correlation matrix. Variables in x and y are specified by location.

### Usage

    partial.r(m, x, y)

### Arguments

`m` | A data or correlation matrix
`x` | The variable numbers associated with the X set.
`y` | The variable numbers associated with the Y set

### Details

It is sometimes convenient to partial the effect of a number of variables (e.g., sex, age, education) out of the correlations of another set of variables. This could be done laboriously by finding the residuals of various multiple correlations, and then correlating these residuals. The matrix algebra alternative is to do it directly. To find the confidence intervals and "significance" of the correlations, use the `corr.p` function with n = n - s where s is the numer of covariates.

### Value

The matrix of partial correlations.

### Author(s)

William Revelle

### References

Revelle, W. (in prep) An introduction to psychometric theory with applications in R. To be published by Springer. (working draft available at http://personality-project.org/r/book/

### See Also

`mat.regress` for a similar application for regression

### Examples

    jen <- make.hierarchical()    #make up a correlation matrix
    round(jen[1:5,1:5],2)
    par.r <- partial.r(jen,c(1,3,5),c(2,4))
    cp <- corr.p(par.r,n=98)  #assumes the jen data based upon n =100.
    print(cp,short=FALSE)  #show the confidence intervals as well

[Package psych version 1.6.9 Index]